## bhl 1.7.0a

=== Makefile ===
###
### Makefile for the BHL mode
###
### Author:  Bastien Guerry <bastien1@free.fr>
### Revised: 23/07/2003
### Created: 11/16/2002
### URL: http://www.nongnu.org/bhl/

### (0) Set the following variables as you like.
### (1) ~$ make		
### (2) ~$ make info
### (3) ~$ make install
### (4) ~$ make install-info	
### (4) ~$ make pdf

################################################################
##
## EDIT THE FOLLOWINGS
##

prefix=/usr/share
infodir=$(prefix)/info

##
## Texinfo Manual
##

manual = bhl.texi	#English manual

##
## Compile engines
##

EMACS = emacs
#EMACS = xemacs
#EMACS = mule

##
## A directory where bhl.el[c] will be installed.
##

elispdir = $(prefix)/share/emacs/site-lisp/
#elispdir  = $(prefix)/lib/$(EMACS)/site-lisp
#elispdir = $(prefix)/lib/emacs

##
## A directory where bhl2* will be installed.
##
bindir = $(prefix)/bin/

## Conversion tools

TEXI2PDF = texi2pdf
TEXI2HTML = makeinfo --html --no-split
#TEXI2HTML = texi2html

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

CP = cp
RM = rm -f
MKDIR = mkdir -p
TEMPFILE = tmp.el
PWD =

INSTALLINFO = `which install-info`

INSTALLINFO_ARGS  = bhl.info* $(infodir)/dir

################################################################

all: el

info: infofile

install: install-el install-scripts

install-info: inst-info

pdf: make-pdf

html: make-html

clean: 

################################################################

el: bhl.el
	@echo "Compiling EL files of BHL ... "
	@echo "PLEASE IGNORE WARNINGS IF DISPLAYED. TAKE IT EASY!"
	$(EMACS) -batch -q -no-site-file --eval "(byte-compile-file \"bhl.el\")"
	@echo "Compiling EL files of BHL ... done."
	@echo "You can now install the BHL mode (make install)."

install-el: bhl.elc
	-@if [ ! -d $(elispdir) ]; then \
		$(MKDIR) $(elispdir); \
	fi
	$(CP) bhl.el* $(elispdir)

################################################################

install-scripts: 
	-@if [ ! -d $(bindir) ]; then \
		$(MKDIR) $(bindir); \
	fi
	$(CP) contrib/bhl2* $(bindir)

################################################################

infofile:
#	$(EMACS) -batch -q -no-site-file -l texinfmt \
#		-f batch-texinfo-format $(manual)
#	Uncomment the two lines above and uncomment the next line 
#	if you prefer to use makeinfo instead of texinfmt.
	makeinfo --no-split $(manual)
	@echo "You can now install the info file (make install-info)."

inst-info:
	-@if [ ! -d $(infodir) ]; then \
		$(MKDIR) $(infodir); \
	fi; \
	cp bhl.info* $(infodir)
	-@if [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_ARGS); \
	else \
	echo "Don't forget to edit $(infodir)/dir so that it includes the info pages for the BHL mode."; \
	fi

################################################################

make-pdf:	
	@echo "Creating PDF manual..."
	$(TEXI2PDF) $(manual)
	@echo "... done."

################################################################

make-html:
	@echo "Creating HTML manual..."
	$(TEXI2HTML) $(manual)
	@echo "... done."

################################################################

clean:
	$(RM) *cps *elc *fn *aux *cp *ky *log *pg *tp *toc *vr *~ $(TEMPFILE)

##
## End of Makefile
##

## bhl 1.7.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###
 ### Makefile for the BHL mode
 ###
-### Author:  Bastien Guerry <bastien1@free.fr>
+### Author:  Bastien Guerry <bastien1NOSPAM@free.fr>
 ### Revised: 23/07/2003
 ### Created: 11/16/2002
 ### URL: http://www.nongnu.org/bhl/

=== debian/changelog ===
bhl (1.7.3-3) unstable; urgency=medium

  * QA upload
  * changed build-dependency from emacs23 to emacs. Thanks to Gabriele Giacone
    for the patch (Closes: #753996)

 -- Ralf Treinen <treinen@debian.org>  Fri, 19 Sep 2014 19:15:32 +0200

bhl (1.7.3-2) unstable; urgency=low

  * QA upload, setting maintainer to qa team
  * set source format to "3.0 (quilt)"
  * add ${misc:Depends}
  * rebuilt should solve all texinfo problems (Closes: 181680)
  * switch to debhelper compat level 7
  * build _all package in binary-indep
  * support build-arch, build-indep
  * make description more easy to understand (Closes: 287055)
  * bump Standards-Version
  * mention bhl.texi's GFDL in debian/copyright
  * mention org-mode in description

 -- Bernhard R. Link <brlink@debian.org>  Sun, 18 Sep 2011 14:24:40 +0200

bhl (1.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #303112)

 -- Mario Lang <mlang@debian.org>  Wed,  6 Apr 2005 11:47:53 +0200

bhl (1.7.0a-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Mon,  4 Aug 2003 10:50:10 +0200

bhl (1.6.1a-1) unstable; urgency=low

  * New upstream version
  * Now byte-compile for XEmacs21 too (Closes: #180638)

 -- Mario Lang <mlang@debian.org>  Wed, 21 May 2003 22:54:16 +0200

bhl (1.6-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Tue, 25 Mar 2003 13:37:33 +0100

bhl (1.4.2-1) unstable; urgency=low

  * New upstream version

 -- Mario Lang <mlang@debian.org>  Thu, 20 Feb 2003 22:19:20 +0100

bhl (1.4.1-1) unstable; urgency=low

  * New upstream version
  * Fix emacs20 compatibility issues (Closes: Bug#180437)

 -- Mario Lang <mlang@debian.org>  Thu, 20 Feb 2003 15:52:30 +0100

bhl (1.3.3-2) unstable; urgency=low

  * Fix Build-depends

 -- Mario Lang <mlang@debian.org>  Wed,  9 Feb 2003 12:20:11 +0100

bhl (1.3.3-1) unstable; urgency=low

  * Initial release

 -- Mario Lang <mlang@debian.org>  Wed, 29 Jan 2003 18:53:47 +0100

=== debian/control ===
Source: bhl
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 7), texinfo
Standards-Version: 3.9.2

Package: bhl
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Description: Emacs mode for converting annotated text to HTML and LaTeX
 BHL is an Emacs mode that enables you to convert text files into
 HTML, LaTeX and SGML files.
 .
 In order to convert TXT files into other formats, you need to use some
 syntactical elements.  The purpose of this mode is to use the most
 invisible and convenient syntax.  Invisible syntax means that the
 source file must be as readable as possible (like any TXT file must be).
 Convenient syntax means that the syntax must fit user's habits.
 .
 A more modern alternative is org-mode.

=== debian/watch ===
# see uscan(1) for format

# this package seems now only available on www.archive.org
# (including some newer package, search for
# http://cognition.ens.fr/~guerry/bhl/download on www.archive.org)
